from evrouting.charge import shortest_path

from ..config import (
    edge_case,
    edge_case_start_node_no_cs,
    init_config
)


def test_shortest_path_charge_at_s():
    """Charging at s."""
    path = shortest_path(**init_config(edge_case))

    assert path == 3.5


def test_shortest_path_no_charge_s_path_t():
    """No charging at s but enough initial SoC to go to t directly."""
    conf = init_config(edge_case_start_node_no_cs)
    conf['initial_soc'] = 4
    path = shortest_path(**conf)

    assert path == 1


def test_shortest_path_no_charge_s_path_a():
    """No charging at s but just enough SoC to go to t via a."""
    conf = init_config(edge_case_start_node_no_cs)
    conf['initial_soc'] = 2
    path = shortest_path(**conf)

    assert path == 2
